Create Image
curl --request POST \
--url https://api.fourthwall.com/open-api/v1.1/memberships/images \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"byteSize": 123,
"checksum": "<string>"
}
'import requests
url = "https://api.fourthwall.com/open-api/v1.1/memberships/images"
payload = {
"byteSize": 123,
"checksum": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({byteSize: 123, checksum: '<string>'})
};
fetch('https://api.fourthwall.com/open-api/v1.1/memberships/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"uploadData": {
"url": "<string>",
"headers": {
"content-MD5": "7vJP+O8buKShZwMbdl7wJQ==",
"content-Disposition": "inline; filename=\"7c8f5486-7841-4890-841f-53a3ebe2b445\"; filename*=UTF-8''7c8f5486-7841-4890-841f-53a3ebe2b445",
"cache-Control": "public, max-age=2592000"
},
"signedId": "<string>"
},
"resourceId": 123
}{
"parameters": "{ \"post_id\": [ \"is missing\" ] }",
"body": "{ \"discount\": { \"percentOff\": [ \"is missing\" ] } }"
}Resources
Create Image
POST
/
open-api
/
v1.1
/
memberships
/
images
Create Image
OAuth scope:
memberships_writeAPI keys have full access to this endpoint.Authorizations
oauthbasicAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
⌘I